#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    int brU, brP;
    cin >> brU >> brP;

    int srU[brU];
    int par[brP*2];
    int mesto[brU];
    int veze[brP];
    int sreca=0;
    int vrednost[brU];




    for(int i=0; i<brU; ++i)
    {
        cin >> srU[i];
    }

    for(int i=0; i<brP*2; ++i)
    {
        cin >> par[i];
    }

    for(int i=0; i<brP; ++i)
    {
        if(srU[par[2*i]-1]> 0 && srU[par[2*i+1]-1]>0)
            veze[i]=1;
        else if(srU[par[2*i]-1]<0 && srU[par[2*i+1]-1]<0)
            veze[i]=-1;
        else{
            if(abs(srU[par[2*i]-1])>abs(srU[par[2*i+1]-1])){
                if(srU[par[2*i]-1]>0)
                    veze[i]=1;
                else
                    veze[i]=-1;
            }
            else{
                if(srU[par[2*i+1]-1]>0)
                    veze[i]=1;
                else
                    veze[i]=-1;
            }

        }

    }

    for(int i=0; i<brU; ++i)
        mesto[i]=i+1;


    for(int i=0; i<brU; ++i)
        vrednost[i]=0;

    for(int i=0; i<brU; ++i){
        for(int j=0; j<brP*2; ++j){
            if(mesto[i]== par[j]){
                vrednost[i]+=veze[j/2];
            }
        }
    }

    for(int i=0; i<brU; ++i)
        sreca += srU[i]* vrednost[i];

    cout << sreca;


}